@charset "UTF-8";

:root {
    --cor1: #49a09d;
    --cor2: #5f2c82;
}
* {
    font-family:  -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body,html {
    background-color: var(--cor2);
    height: 100vh;
    width: 100vw;
}

main {
    position: relative;
    height: 100vh;
    width: 100vw;
    padding: 10px;
}

section#login {
    background-color: white;
    width: 250px;
    height: 500px;
    border-radius: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.482);
    overflow: hidden; /* Tudo fora da borda esconde */

    position: absolute;
    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);
    transition: width 0.2s, height 0.2s;
}

section#login > div#imagem {
    display: block;
    background: var(--cor2) url(../imagens/new-york-1175747_1280.jpg) no-repeat center center;
    background-size: cover;
    height: 200px;
}

section#login > div#formulario {
    display: block;
    padding: 10px;
}

section#login > div#formulario > h1 {
    text-align: center;
    margin: 5px 0px;
}
section#login > div#formulario > p {
    font-size: 0.8em;
    margin-bottom: 10px;
}
section#login > div#formulario label {
    display: none;
}

section#login div.campo {
    background-color: var(--cor2);
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 40px;
    border-radius: 5px;
    margin: 5px 0px;
    overflow: hidden;
    padding: 5px;
}

div.campo > input{
    background-color: #afe3e1;
    border: none;
    outline: none;
    padding: 8px;
    width: 100%;
    border-radius: 8px;
}
div.campo > input:focus {
    background-color: white;
}
div.campo > i {
    font-size: 2em;
    padding: 0px 10px;
}
section#login input[type = submit] /* Não sabia nem que isso era possível */ {
    display: block;
    font-size: 1em;
    width: 100%;
    height: 40px;
    background-color: var(--cor1);
    color: white;
    border: none;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
}
section#login input[type = submit]:hover {
    background-color: #3d8a87;
}
section#login .botao {

    border: 1px solid var(--cor1);
    text-align: center;
    display: block;
    font-size: 1em;
    width: 100%;
    height: 40px;
    margin-top: 5px;
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    outline: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
}
section#login .botao:hover {
    background-color: var(--cor1);
    color: white;
}
section#login .botao > i{
    padding-top: 10px;
    font-size: 0.8em;
}